View Issue Details

IDProjectCategoryView StatusLast Update
0000978DCP-o-matic[All Projects] Bugspublic2019-01-26 21:06
Reportercarl Assigned Tocarl  
PrioritynormalSeveritymajorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target Version2.14.0Fixed in Version 
Summary0000978: Encrypted SMPTE DCPs do not work on Sony systems
Description

See discussion on the forum: https://dcpomatic.com/forum/viewtopic.php?t=258

TagsNo tags attached.
Estimated work requiredUnknown

Activities

Carsten

2016-10-24 19:55

manager   ~0001480

I now have access to three Sony 515 all with different software versions and am currently preparing test material to check wether the problem still exists.

  • Carsten

carl

2016-11-15 11:40

administrator   ~0001537

Last edited: 2016-11-15 11:40

View 2 revisions

So, it seems, none of the recent additions to DOMs wrapping, like HMAC,MCA, etc. changed anything about our Sonys inability to play encrypted SMPTE content created with DOM.

Encrypted/Unencrypted Interop plays fine, as does unencrypted SMPTE.

This is with an outdated Sony software version 1.22.2

See attached screenshots. On first sight, all looks good, content and KDM is indicated okay and associated properly, time windows is indicated. In the library, IOP CPL is indicated as playable, SMPTE version as non-playable. If you still try, you get an error. At first it does look as if the KDM is malformed, but I can hardly imagine what could go wrong there?

Let's see what these two other systems say.

carl

2016-11-15 11:41

administrator  

carl

2016-11-15 11:42

administrator  

carl

2016-11-15 11:42

administrator  

carl

2016-11-15 11:42

administrator  

carl

2017-02-13 15:08

administrator   ~0001612

@Carsten: was there any update on this?

Carsten

2017-02-13 15:49

manager   ~0001613

It seems I severely underestimated the effort needed to download and play two 25MByte Test-DCPs. So, I have one report about non-working encrypted SMPTE DCPs on a Sony running 1.30.6, and still waiting for a report with the most current software. I carefully kicked him again, maybe today...

  • Carsten

carl

2017-04-05 09:14

administrator   ~0001624

Carsten reports that DoM's KDMs don't work even on the newest Sony software.

liloneum

2017-04-14 08:05

reporter   ~0001627

Hi,
Did you try every kind of KDM formulation?
SMPTE should use dci-specific but as far as I know most KDM providers still use modified-transitional-1.

lemgeo reported an ASSETMAP issue.
Are you aware of the two kind of XML you can write fot SMPTE?

<?xml version="1.0" encoding="UTF-8"?>
<AssetMap xmlns="http://www.smpte-ra.org/schemas/429-9/2007/AM&quot;>
<Id>urn:uuid:</Id>
<Creator></Creator>
<VolumeCount>1</VolumeCount>
<IssueDate></IssueDate>
<Issuer></Issuer>
<AssetList>
<Asset>
<Id>urn:uuid:</Id>
<ChunkList>
<Chunk>
<Path>_pkl.xml</Path>
</Chunk>
</ChunkList>
</Asset>
</AssetList>
</AssetMap>

&

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<am:AssetMap xmlns:am="http://www.smpte-ra.org/schemas/429-9/2007/AM&quot;>
<am:Id>urn:uuid:</am:Id>
<am:VolumeCount>1</am:VolumeCount>
<am:IssueDate></am:IssueDate>
<am:Issuer></am:Issuer>
<am:Creator></am:Creator>
<am:AssetList>
<am:Asset>
<am:Id>urn:uuid:</am:Id>
<am:ChunkList>
<am:Chunk>
<am:Path>file://</am:Path>
<am:VolumeIndex>1</am:VolumeIndex>
<am:Offset>0</am:Offset>
</am:Chunk>
</am:ChunkList>
</am:Asset>
</am:AssetList>
</am:AssetMap>

Maybe the working packages used the second way...

Carsten

2017-04-14 09:09

manager   ~0001628

Yes, I tried all three possible options. I have access to a Barco ICMP, and tested encrypted and non encrypted SMPTE and Interop Versions on both our Sony and the Barco. Both encrypted IOP and SMPTE worked on the Barco (with the modified transitional version), but all SMPTE versions failed on the Sony. I know that the Sony will play encrypted SMPTE in general, as I had received a few encrypted SMPTE test DCPs, and the Sony will play ATMOS DCPs.

As a side note, I know that another (commercial) DCP mastering/encryption software has/had the same issue (at least it was restricted to encrypted SMPTE on Sonys, and the error message was the same). Unfortunately, my contact to them has dried out, so I don't know what has become of it.

Carl and I have come up with something else to narrow it down, I just need some time to prepare this test thoroughly. I think we are close to a solution.

  • Carsten

carl

2019-01-10 22:24

administrator   ~0002891

More discussion here https://dcpomatic.com/forum/viewtopic.php?f=2&amp;t=1214&amp;p=4939#p4939

carl

2019-01-22 01:24

administrator   ~0002911

Have asked Carsten to test a DCP derived from libdcp 33c2c1ddee9638fc4e59dbfdbeee2fb540778819

Carsten

2019-01-24 01:37

manager   ~0002921

Verification and Validation both positive with the latest SMPTE test DCP. Are we emotionally ready to test encryption and KDM yet???

  • Carsten


SonySMPTE.png (25,213 bytes)
SonySMPTE.png (25,213 bytes)

carl

2019-01-24 13:17

administrator   ~0002927

Possibly fixed in 2.13.107.

carl

2019-01-24 21:58

administrator   ~0002929

Believed fixed in 2.13.108.

Carsten

2019-01-26 21:01

manager  

Archiv.zip (14,890 bytes)

Issue History

Date Modified Username Field Change
2016-10-23 16:10 carl New Issue
2016-10-24 19:55 Carsten Note Added: 0001480
2016-11-15 11:40 carl Note Added: 0001537
2016-11-15 11:40 carl Note Edited: 0001537 View Revisions
2016-11-15 11:41 carl File Added: Bildschirmfoto_2016-11-14_um_22.20.49.jpg
2016-11-15 11:42 carl File Added: Bildschirmfoto_2016-11-14_um_22.22.16.jpg
2016-11-15 11:42 carl File Added: Bildschirmfoto_2016-11-14_um_22.22.54.jpg
2016-11-15 11:42 carl File Added: Bildschirmfoto_2016-11-14_um_22.23.10.jpg
2017-02-13 15:08 carl Note Added: 0001612
2017-02-13 15:49 Carsten Note Added: 0001613
2017-04-05 09:14 carl Note Added: 0001624
2017-04-14 08:05 liloneum Note Added: 0001627
2017-04-14 09:09 Carsten Note Added: 0001628
2019-01-10 22:24 carl Note Added: 0002891
2019-01-10 22:25 carl Status new => confirmed
2019-01-10 22:25 carl Target Version => 2.14.0
2019-01-10 22:25 carl Estimated work required Average => Unknown
2019-01-22 01:24 carl Note Added: 0002911
2019-01-24 01:37 Carsten File Added: SonySMPTE.png
2019-01-24 01:37 Carsten Note Added: 0002921
2019-01-24 13:17 carl Note Added: 0002927
2019-01-24 21:58 carl Assigned To => carl
2019-01-24 21:58 carl Status confirmed => resolved
2019-01-24 21:58 carl Resolution open => fixed
2019-01-24 21:58 carl Note Added: 0002929
2019-01-26 21:01 Carsten File Added: Archiv.zip